# 量化交易工具

欢迎使用量化交易工具，这是一个全面的解决方案，旨在简化您的量化交易策略。该项目提供了强大的数据收集、策略开发、回测和优化工具，使您能够最大限度地提高交易指标的准确性。

---

## 功能

- **股票数据获取**：高效获取实时和历史股票数据，以进行分析和策略制定。
- **策略开发**：轻松创建和优化买卖策略。
- **回测**：在历史数据上测试您的策略，以评估其潜在盈利能力。
- **参数优化**：微调个股参数，以提高交易指标的准确性。
- **个性化策略开发**：提供选股策略的开发和验证服务，满足用户特定需求。
- **策略组合管理**：支持多组策略对多只股票同时监测，实现在买入点或卖出点的仓位控制和管理。
- **消息推送功能**：通过订阅功能，当捕捉到买卖点时发送通知。

---

## 项目设置

本项目使用 **Poetry** 进行依赖管理和打包。要设置项目，请确保您系统上已安装 Poetry。然后通过运行以下命令安装必要的依赖项：

```bash
poetry install
入门指南
克隆仓库：
git clone https://github.com/sjzsdu/EventTrader.git
cd EventTrader
使用 Poetry 安装依赖项：
poetry install
使用 Jupyter Notebook 体验该项目的参数调优和选股策略回测功能。确保您已安装 Jupyter Notebook，通过以下命令启动：
poetry run jupyter notebook
浏览项目文件以配置您的策略并执行交易模拟。

贡献
我们欢迎对本项目的贡献！请随时打开问题或提交拉取请求。在提出更改之前，请确保代码符合现有样式并通过所有测试。

开发计划
选股策略开发：正在开发更多的选股策略。如有需求，请联系我以开发和验证个性化的策略。
消息推送功能：计划增加推送功能，当捕捉到买卖点后能够发送消息给订阅者。
策略组合功能：将实现策略组合的功能，支持多组策略对多只股票的监测和仓位管理。
许可证
本项目根据 MIT 许可证 授权。

联系
如有问题或反馈，请联系：youremail@example.com。

祝交易顺利！💹